XSetFillStyle(3X11)

NAME
XSetFillStyle, XSetFillRule - GC convenience routines

SYNTAX

int XSetFillStyle(Display *display, GC gc, int fill_style);

int XSetFillRule(Display *display, GC gc, int fill_rule);

ARGUMENTS

display
    Specifies the connection to the X server.

fill_rule
    Specifies the fill-rule you want to set for the specified GC. You can pass or

fill_style
    Specifies the fill-style you want to set for the specified GC. You can pass or

gc  Specifies the GC.

DESCRIPTION
The function sets the fill-style in the specified GC.

can generate and errors.

The function sets the fill-rule in the specified GC.

can generate and errors.

DIAGNOSTICS

The server failed to allocate the requested resource or server memory.

A value for a GContext argument does not name a defined GContext.

Some numeric value falls outside the range of values accepted by the request.
    Unless a specific range is specified for an argument, the full range defined by the argument's type is accepted. Any argument defined as a set of alternatives can generate this error.

SEE ALSO
XCreateGC(3X11), XQueryBestSize(3X11), XSetArcMode(3X11), XSetClipOrigin(3X11), XSetFont(3X11), XSetLineAttributes(3X11), XSetState(3X11), XSetTile(3X11)
Xlib - C Language X Interface